be.fgov.ehealth.dics.protocol.v5

## Class ConsultChapterIVQualificationListType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVQualificationListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:57:43+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultChapterIVQualificationListType
      extends Object
      implements Serializable

  Java class for ConsultChapterIVQualificationListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultChapterIVQualificationListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Qualification" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVTextType"/>
               <element name="ExclusiveInd" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ProfessionalAuthorisation" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVProfessionalAuthorisationType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="QualificationList" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultChapterIVQualificationListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getCreatedTimestamp()` Gets the value of the createdTimestamp property.
    `String` | `getCreatedUserId()` Gets the value of the createdUserId property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `String` | `getExclusiveInd()` Gets the value of the exclusiveInd property.
    `String` | `getModificationStatus()` Gets the value of the modificationStatus property.
    `List<ConsultChapterIVProfessionalAuthorisationType>` | `getProfessionalAuthorisations()` Gets the value of the professionalAuthorisations property.
    `ConsultChapterIVTextType` | `getQualification()` Gets the value of the qualification property.
    `String` | `getQualificationList()` Gets the value of the qualificationList property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setCreatedTimestamp(org.joda.time.DateTime value)` Sets the value of the createdTimestamp property.
    `void` | `setCreatedUserId(String value)` Sets the value of the createdUserId property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setExclusiveInd(String value)` Sets the value of the exclusiveInd property.
    `void` | `setModificationStatus(String value)` Sets the value of the modificationStatus property.
    `void` | `setQualification(ConsultChapterIVTextType value)` Sets the value of the qualification property.
    `void` | `setQualificationList(String value)` Sets the value of the qualificationList property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultChapterIVQualificationListType

          public ConsultChapterIVQualificationListType()

  - ### Method Detail

    - #### getCreatedTimestamp

          public org.joda.time.DateTime getCreatedTimestamp()

      Gets the value of the createdTimestamp property.
      Returns:
        possible object is `String`

    - #### setCreatedTimestamp

          public void setCreatedTimestamp(org.joda.time.DateTime value)

      Sets the value of the createdTimestamp property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCreatedUserId

          public String getCreatedUserId()

      Gets the value of the createdUserId property.
      Returns:
        possible object is `String`

    - #### setCreatedUserId

          public void setCreatedUserId(String value)

      Sets the value of the createdUserId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getQualification

          public ConsultChapterIVTextType getQualification()

      Gets the value of the qualification property.
      Returns:
        possible object is `ConsultChapterIVTextType`

    - #### setQualification

          public void setQualification(ConsultChapterIVTextType value)

      Sets the value of the qualification property.
      Parameters:
        `value` - allowed object is `ConsultChapterIVTextType`

    - #### getExclusiveInd

          public String getExclusiveInd()

      Gets the value of the exclusiveInd property.
      Returns:
        possible object is `String`

    - #### setExclusiveInd

          public void setExclusiveInd(String value)

      Sets the value of the exclusiveInd property.
      Parameters:
        `value` - allowed object is `String`

    - #### getModificationStatus

          public String getModificationStatus()

      Gets the value of the modificationStatus property.
      Returns:
        possible object is `String`

    - #### setModificationStatus

          public void setModificationStatus(String value)

      Sets the value of the modificationStatus property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProfessionalAuthorisations

          public List<ConsultChapterIVProfessionalAuthorisationType> getProfessionalAuthorisations()

      Gets the value of the professionalAuthorisations property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the professionalAuthorisations property.

      For example, to add a new item, do as follows:

              getProfessionalAuthorisations().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultChapterIVProfessionalAuthorisationType`

    - #### getQualificationList

          public String getQualificationList()

      Gets the value of the qualificationList property.
      Returns:
        possible object is `String`

    - #### setQualificationList

          public void setQualificationList(String value)

      Sets the value of the qualificationList property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.